Package org.eclipse.birt.core.i18n

# Class ResourceConstants

java.lang.Object
org.eclipse.birt.core.i18n.ResourceConstants

public class ResourceConstants extends Object
Define resource key constants for need be localized resource.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ARCHIVE_OPEN_FOR_WRITE`
`static final String`
`CANNOT_CHANGE_READONLY_BUFFER`
`static final String`
`CANNOT_LOAD_NODE`
`static final String`
`CANNOT_STARTUP_OSGI_PLATFORM`
`static final String`
`CONVERT_FAILS`
`static final String`
`CREATE_EXTENSION_FAIL`
`static final String`
`CURSOR_NOT_INITIALIZED`
`static final String`
`EXCEED_FILE_LENGTH`
`static final String`
`EXCEED_MAX_BLOCK`
`static final String`
`EXCEED_MAX_BLOCK_SIZE`
`static final String`
`FILE_HAS_BEEN_CLOSED`
`static final String`
`FILE_IN_READONLY_MODE`
`static final String`
`FILE_NAME_IS_NULL`
`static final String`
`FOLDER_NAME_IS_NULL`
`static final String`
`INVALID_ARCHIVE_NAME`
`static final String`
`INVALID_CURSOR`
`static final String`
`INVALID_EXPRESSION`
`static final String`
`INVALID_INDEX`
`static final String`
`INVALID_LOCK_TYPE`
`static final String`
`INVALID_MAGIC_TAG`
`static final String`
`INVALID_REGULAR_EXPRESSION`
`static final String`
`INVALID_SEEK_OFFSET`
`static final String`
`INVALID_TYPE`
`static final String`
`JAVASCRIPT_COMMON_ERROR`
`static final String`
`JAVASCRIPT_ERROR`
`static final String`
`JAVASCRIPT_NATIVE_NOT_FOUND`
`static final String`
`JAVASCRIPT_PARAMETER_NOT_EXIST`
`static final String`
`JAVASCRIPT_VARIABLE_NOT_EXIST`
`static final String`
`KEY_SIZE_ERROR`
`static final String`
`MALFORMED_INPUT_AROUND_BYTE`
`static final String`
`MALFORMED_INPUT_ERROR`
`static final String`
`MISMATCH_KEY_LENGTH`
`static final String`
`MISMATCH_VALUE_LENGTH`
`static final String`
`NO_SUCH_SCRIPT_EXTENSION`
`static final String`
`NOT_COMPOUND_FILE`
`static final String`
`NOT_EXT2_ARCHIVE`
`static final String`
`NOT_SERIALIZABLE`
`static final String`
`NOT_SUPPORTED_SERIALIZABLE`
`static final String`
`NULL_SOURCE`
`static final String`
`OUT_OF_RANGE`
`static final String`
`READ_ONLY_ARCHIVE`
`static final String`
`READ_ONLY_TREE`
`static final String`
`UNEXPECTED_EQUAL_KEYS`
`static final String`
`UNEXPECTED_NODE_TYPE`
`static final String`
`UNKNOWN_VALUE_TYPE`
`static final String`
`UNPARSEABLE_STRING`
`static final String`
`UNSUPPORTED_ARCHIVE_VERSION`
`static final String`
`UNSUPPORTED_BLOCK_SIZE`
`static final String`
`UNSUPPORTED_DATA_TYPE`
`static final String`
`UNSUPPORTED_FILE_MODE`
`static final String`
`UNSUPPORTED_VERSION`
`static final String`
`Value_SIZE_ERROR`

## Constructor Summary

Constructors
Constructor
Description
`ResourceConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INVALID_EXPRESSION

public static final String INVALID_EXPRESSION

See Also:
  - Constant Field Values

### INVALID_TYPE

public static final String INVALID_TYPE

See Also:
  - Constant Field Values

### CONVERT_FAILS

public static final String CONVERT_FAILS

See Also:
  - Constant Field Values

### JAVASCRIPT_ERROR

public static final String JAVASCRIPT_ERROR

See Also:
  - Constant Field Values

### JAVASCRIPT_COMMON_ERROR

public static final String JAVASCRIPT_COMMON_ERROR

See Also:
  - Constant Field Values

### JAVASCRIPT_PARAMETER_NOT_EXIST

public static final String JAVASCRIPT_PARAMETER_NOT_EXIST

See Also:
  - Constant Field Values

### JAVASCRIPT_VARIABLE_NOT_EXIST

public static final String JAVASCRIPT_VARIABLE_NOT_EXIST

See Also:
  - Constant Field Values

### JAVASCRIPT_NATIVE_NOT_FOUND

public static final String JAVASCRIPT_NATIVE_NOT_FOUND

See Also:
  - Constant Field Values

### CREATE_EXTENSION_FAIL

public static final String CREATE_EXTENSION_FAIL

See Also:
  - Constant Field Values

### INVALID_REGULAR_EXPRESSION

public static final String INVALID_REGULAR_EXPRESSION

See Also:
  - Constant Field Values

### NO_SUCH_SCRIPT_EXTENSION

public static final String NO_SUCH_SCRIPT_EXTENSION

See Also:
  - Constant Field Values

### INVALID_SEEK_OFFSET

public static final String INVALID_SEEK_OFFSET

See Also:
  - Constant Field Values

### EXCEED_FILE_LENGTH

public static final String EXCEED_FILE_LENGTH

See Also:
  - Constant Field Values

### CANNOT_CHANGE_READONLY_BUFFER

public static final String CANNOT_CHANGE_READONLY_BUFFER

See Also:
  - Constant Field Values

### FILE_IN_READONLY_MODE

public static final String FILE_IN_READONLY_MODE

See Also:
  - Constant Field Values

### FILE_HAS_BEEN_CLOSED

public static final String FILE_HAS_BEEN_CLOSED

See Also:
  - Constant Field Values

### UNPARSEABLE_STRING

public static final String UNPARSEABLE_STRING

See Also:
  - Constant Field Values

### CANNOT_STARTUP_OSGI_PLATFORM

public static final String CANNOT_STARTUP_OSGI_PLATFORM

See Also:
  - Constant Field Values

### UNSUPPORTED_FILE_MODE

public static final String UNSUPPORTED_FILE_MODE

See Also:
  - Constant Field Values

### FOLDER_NAME_IS_NULL

public static final String FOLDER_NAME_IS_NULL

See Also:
  - Constant Field Values

### FILE_NAME_IS_NULL

public static final String FILE_NAME_IS_NULL

See Also:
  - Constant Field Values

### NOT_EXT2_ARCHIVE

public static final String NOT_EXT2_ARCHIVE

See Also:
  - Constant Field Values

### READ_ONLY_ARCHIVE

public static final String READ_ONLY_ARCHIVE

See Also:
  - Constant Field Values

### UNSUPPORTED_ARCHIVE_VERSION

public static final String UNSUPPORTED_ARCHIVE_VERSION

See Also:
  - Constant Field Values

### UNSUPPORTED_BLOCK_SIZE

public static final String UNSUPPORTED_BLOCK_SIZE

See Also:
  - Constant Field Values

### INVALID_INDEX

public static final String INVALID_INDEX

See Also:
  - Constant Field Values

### NOT_COMPOUND_FILE

public static final String NOT_COMPOUND_FILE

See Also:
  - Constant Field Values

### UNEXPECTED_NODE_TYPE

public static final String UNEXPECTED_NODE_TYPE

See Also:
  - Constant Field Values

### NOT_SERIALIZABLE

public static final String NOT_SERIALIZABLE

See Also:
  - Constant Field Values

### UNSUPPORTED_DATA_TYPE

public static final String UNSUPPORTED_DATA_TYPE

See Also:
  - Constant Field Values

### INVALID_LOCK_TYPE

public static final String INVALID_LOCK_TYPE

See Also:
  - Constant Field Values

### ARCHIVE_OPEN_FOR_WRITE

public static final String ARCHIVE_OPEN_FOR_WRITE

See Also:
  - Constant Field Values

### EXCEED_MAX_BLOCK_SIZE

public static final String EXCEED_MAX_BLOCK_SIZE

See Also:
  - Constant Field Values

### INVALID_ARCHIVE_NAME

public static final String INVALID_ARCHIVE_NAME

See Also:
  - Constant Field Values

### NULL_SOURCE

public static final String NULL_SOURCE

See Also:
  - Constant Field Values

### OUT_OF_RANGE

public static final String OUT_OF_RANGE

See Also:
  - Constant Field Values

### READ_ONLY_TREE

public static final String READ_ONLY_TREE

See Also:
  - Constant Field Values

### CANNOT_LOAD_NODE

public static final String CANNOT_LOAD_NODE

See Also:
  - Constant Field Values

### KEY_SIZE_ERROR

public static final String KEY_SIZE_ERROR

See Also:
  - Constant Field Values

### MISMATCH_KEY_LENGTH

public static final String MISMATCH_KEY_LENGTH

See Also:
  - Constant Field Values

### Value_SIZE_ERROR

public static final String Value_SIZE_ERROR

See Also:
  - Constant Field Values

### MISMATCH_VALUE_LENGTH

public static final String MISMATCH_VALUE_LENGTH

See Also:
  - Constant Field Values

### INVALID_MAGIC_TAG

public static final String INVALID_MAGIC_TAG

See Also:
  - Constant Field Values

### UNSUPPORTED_VERSION

public static final String UNSUPPORTED_VERSION

See Also:
  - Constant Field Values

### INVALID_CURSOR

public static final String INVALID_CURSOR

See Also:
  - Constant Field Values

### CURSOR_NOT_INITIALIZED

public static final String CURSOR_NOT_INITIALIZED

See Also:
  - Constant Field Values

### UNEXPECTED_EQUAL_KEYS

public static final String UNEXPECTED_EQUAL_KEYS

See Also:
  - Constant Field Values

### UNKNOWN_VALUE_TYPE

public static final String UNKNOWN_VALUE_TYPE

See Also:
  - Constant Field Values

### EXCEED_MAX_BLOCK

public static final String EXCEED_MAX_BLOCK

See Also:
  - Constant Field Values

### NOT_SUPPORTED_SERIALIZABLE

public static final String NOT_SUPPORTED_SERIALIZABLE

See Also:
  - Constant Field Values

### MALFORMED_INPUT_ERROR

public static final String MALFORMED_INPUT_ERROR

See Also:
  - Constant Field Values

### MALFORMED_INPUT_AROUND_BYTE

public static final String MALFORMED_INPUT_AROUND_BYTE

See Also:
  - Constant Field Values

## Constructor Details

### ResourceConstants

public ResourceConstants()